## git-quick-stats 2.3.0

=== Makefile ===
PREFIX ?= /usr/local
_INSTDIR ?= $(DESTDIR)$(PREFIX)
BINDIR ?= $(_INSTDIR)/bin
MANDIR ?= $(_INSTDIR)/share/man
TASK_DONE = echo -e "\n✓ $@ done\n"

.PHONY: test

all:
	@echo "Usage:"
	@echo "  make install"
	@echo "  make reinstall"
	@echo "  make uninstall"
	@echo "  make test"

help:
	$(MAKE) all
	@$(TASK_DONE)

install:
	install -d -m 0755 $(BINDIR)
	install -m 0755 git-quick-stats $(BINDIR)/git-quick-stats
	$(MAKE) man
	@$(TASK_DONE)

uninstall:
	rm -f $(BINDIR)/git-quick-stats
	rm -f $(MANDIR)/man1/git-quick-stats.1
	@$(TASK_DONE)

reinstall:
	@curl -sO https://raw.githubusercontent.com/arzzen/git-quick-stats/master/git-quick-stats
	@curl -sO https://raw.githubusercontent.com/arzzen/git-quick-stats/master/git-quick-stats.1
	$(MAKE) install
	@$(TASK_DONE)

man:
	install -d -m 0755 $(MANDIR)/man1/
	install -m 0644 git-quick-stats.1 $(MANDIR)/man1/

test:
	tests/commands_test.sh
	@$(TASK_DONE)

## git-quick-stats 2.0.9

=== debian/changelog ===
git-quick-stats (2.0.9-1) unstable; urgency=medium

  * Initial packaging (Closes: #940652)

 -- Birger Schacht <birger@rantanplan.org>  Tue, 17 Sep 2019 21:38:57 +0200

=== debian/control ===
Source: git-quick-stats
Section: utils
Priority: optional
Maintainer: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 git,
 bsdmainutils
Standards-Version: 4.4.0
Homepage: https://github.com/arzzen/git-quick-stats
Vcs-Browser: https://salsa.debian.org/bisco-guest/git-quick-stats
Vcs-Git: https://salsa.debian.org/bisco-guest/git-quick-stats.git
Rules-Requires-Root: no

Package: git-quick-stats
Architecture: any
Depends:
 ${misc:Depends},
 git,
 bsdmainutils
Description: simple and efficient way to access various statistics in git repository
 Git quick statistics is a simple and efficient way to access various
 statistics in git repository.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=/usr

%:
	dh $@

override_dh_auto_test:

## git-quick-stats 2.0.11

=== debian/changelog ===
git-quick-stats (2.0.11-1) unstable; urgency=medium

  * New upstream version 2.0.11
  * d/rules: Install the script to /usr/lib/git-core instead
    of /usr/bin
  * d/control: bump standards version to 4.4.1 (no changes required)

 -- Birger Schacht <birger@rantanplan.org>  Fri, 15 Nov 2019 14:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 12),
  git,
  bsdmainutils
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/arzzen/git-quick-stats
 Vcs-Browser: https://salsa.debian.org/bisco-guest/git-quick-stats
 Vcs-Git: https://salsa.debian.org/bisco-guest/git-quick-stats.git

## git-quick-stats 2.1.3

=== debian/changelog ===
git-quick-stats (2.1.3-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   + change maintainer email to my debian.org address
   + bump standards version to 4.5.0 (no changes required)
   + clean up dependencies and replace bsdmainutils transitional
     package with bsdextrautils (Closes: #964528)
   + bump debhelper compat version to 13
   + Update Vcs-* URLs to point to debian namespace on salsa
  * d/copyright: remove deleted files
  * Create symlink to git-quick-stats in /usr/bin/ for compatibility
  * d/upstream/metadata: add upstream bug tracking information
  * add d/watch file
  * Renamed default branch to debian/sid and added a configuration
    file for git-buildpackage

 -- Birger Schacht <birger@debian.org>  Thu, 16 Jul 2020 11:22:20 +0200

=== debian/control ===
Source: git-quick-stats
Section: utils
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Homepage: https://github.com/arzzen/git-quick-stats
Vcs-Browser: https://salsa.debian.org/debian/git-quick-stats
Vcs-Git: https://salsa.debian.org/debian/git-quick-stats.git
Rules-Requires-Root: no

Package: git-quick-stats
Architecture: any
Depends:
 ${misc:Depends},
 bsdextrautils,
 git
Description: simple and efficient way to access various statistics in git repository
 Git quick statistics is a simple and efficient way to access various
 statistics in git repository.

## git-quick-stats 2.1.4

=== debian/changelog ===
git-quick-stats (2.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 07 Nov 2020 21:41:00 +0100

## git-quick-stats 2.1.5

=== debian/changelog ===
git-quick-stats (2.1.5-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sun, 27 Dec 2020 17:10:59 +0100

## git-quick-stats 2.1.6

=== debian/changelog ===
git-quick-stats (2.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 13 Feb 2021 10:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/arzzen/git-quick-stats
 Vcs-Browser: https://salsa.debian.org/debian/git-quick-stats
 Vcs-Git: https://salsa.debian.org/debian/git-quick-stats.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/git-quick-stats-$1\.tar\.gz/
  https://github.com/arzzen/git-quick-stats/releases .*/archive/v?(\d\S+)\.tar\.gz

## git-quick-stats 2.3.0

=== debian/changelog ===
git-quick-stats (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Fix regex in watchfile
  * Set Architecture to all in d/control

 -- Birger Schacht <birger@debian.org>  Sat, 28 Aug 2021 16:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Rules-Requires-Root: no
 
 Package: git-quick-stats
-Architecture: any
+Architecture: all
 Depends:
  ${misc:Depends},
  bsdextrautils,

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/git-quick-stats-$1\.tar\.gz/
  https://github.com/arzzen/git-quick-stats/releases .*/archive/refs/tags/(\d\S+)\.tar\.gz

## git-quick-stats 2.4.1

=== debian/changelog ===
git-quick-stats (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Use gittag mode in d/watch
  * Bump standards version to 4.6.1.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 23 Jul 2022 14:43:54 +0200

git-quick-stats (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0.1 (no changes required)
  * Update year range in d/copyright and update email address

 -- Birger Schacht <birger@debian.org>  Wed, 02 Mar 2022 09:25:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/arzzen/git-quick-stats
 Vcs-Browser: https://salsa.debian.org/debian/git-quick-stats
 Vcs-Git: https://salsa.debian.org/debian/git-quick-stats.git

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/arzzen/git-quick-stats refs/tags/v?(\d\S+)

## git-quick-stats 2.5.0

=== debian/changelog ===
git-quick-stats (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   + Bump standards-version to 4.6.2 (no changes required)
   + Add Multi-Arch: foreign (thanks to Debian Janitor)
  * d/changelog: Bump copyright years

 -- Birger Schacht <birger@debian.org>  Sun, 25 Jun 2023 09:59:53 +0200

## git-quick-stats 2.5.2

=== debian/changelog ===
git-quick-stats (2.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Tue, 24 Oct 2023 17:23:27 +0200

git-quick-stats (2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Wed, 18 Oct 2023 15:37:45 +0200

## git-quick-stats 2.5.3

=== debian/changelog ===
git-quick-stats (2.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 23 Dec 2023 11:00:37 +0100

## git-quick-stats 2.5.4

=== debian/changelog ===
git-quick-stats (2.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Wed, 10 Jan 2024 16:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/arzzen/git-quick-stats
 Vcs-Browser: https://salsa.debian.org/debian/git-quick-stats
 Vcs-Git: https://salsa.debian.org/debian/git-quick-stats.git
@@ -16,6 +16,7 @@
  ${misc:Depends},
  bsdextrautils,
  git
+Multi-Arch: foreign
 Description: simple and efficient way to access various statistics in git repository
  Git quick statistics is a simple and efficient way to access various
  statistics in git repository.

## git-quick-stats 2.5.5

=== debian/changelog ===
git-quick-stats (2.5.5-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Bump years

 -- Birger Schacht <birger@debian.org>  Sun, 28 Apr 2024 11:40:10 +0200

## git-quick-stats 2.5.6

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 BINDIR ?= $(_INSTDIR)/bin
 MANDIR ?= $(_INSTDIR)/share/man
 TASK_DONE = echo -e "\n✓ $@ done\n"
+SHELL := $(shell which bash)
 
 .PHONY: test

=== debian/changelog ===
git-quick-stats (2.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 18 May 2024 14:05:52 +0200

## git-quick-stats 2.5.8

=== debian/changelog ===
git-quick-stats (2.5.8-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 13 Oct 2024 11:42:42 +0200

git-quick-stats (2.5.7-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 20 Sep 2024 19:47:40 +0200

## git-quick-stats 2.7.0

=== debian/changelog ===
git-quick-stats (2.7.0-1) unstable; urgency=medium

  * New upstream release
  * Drop pristine-tar from debian/gbp.conf

 -- Birger Schacht <birger@debian.org>  Tue, 19 Aug 2025 15:11:42 +0200

## git-quick-stats 2.8.0

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,8 @@
 	@$(TASK_DONE)
 
 reinstall:
-	@curl -sO https://raw.githubusercontent.com/arzzen/git-quick-stats/master/git-quick-stats
-	@curl -sO https://raw.githubusercontent.com/arzzen/git-quick-stats/master/git-quick-stats.1
+	@curl -sO https://raw.githubusercontent.com/git-quick-stats/git-quick-stats/master/git-quick-stats
+	@curl -sO https://raw.githubusercontent.com/git-quick-stats/git-quick-stats/master/git-quick-stats.1
 	$(MAKE) install
 	@$(TASK_DONE)

=== debian/changelog ===
git-quick-stats (2.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to version 5 format

 -- Birger Schacht <birger@debian.org>  Sun, 21 Sep 2025 18:12:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,7 @@
 %:
 	dh $@
 
+override_dh_auto_install:
+	make MANDIR=debian/git-quick-stats/usr/share/man BINDIR=debian/git-quick-stats/usr/lib/git-core install
+
 override_dh_auto_test:

=== debian/watch ===
Version: 5

Template: Github
Owner: arzzen
Project: git-quick-stats
